Bug 1918602 (CVE-2020-26558)

Summary: CVE-2020-26558 bluez: Passkey Entry protocol of the Bluetooth Core is vulnerable to an impersonation attack
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, allarkin, aquini, bhu, bmasney, bnocera, brdeoliv, bskeggs, chwhite, crwood, cye, cyin, darcari, dbohanno, debarbos, dhoward, dmarlin, dvlasenk, dwmw2, dzickus, ezulian, fhrbata, fpacheco, gtiwari, hdegoede, hkrzesin, hwkernel-mgr, jarod, jarodwilson, jdenham, jeremy, jfaracco, jforbes, jlelli, joe.lawrence, jonathan, josef, jshortt, jstancek, jwboyer, jwyatt, kcarcia, kernel-maint, ldoskova, lgoncalv, linville, lzampier, masami256, mchehab, mleitner, mmilgram, mstowell, nmurray, ptalbert, qzhao, rkeshri, rparrazo, rrobaina, rschiron, rvrbovsk, rysulliv, scweaver, security-response-team, spacewar, steved, sukulkar, tglozar, tyberry, walters, wcosta, williams, wmealing, ycote, ykopkova, zhijwang
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---Flags: brdeoliv: needinfo? (rkeshri)
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: bluez 5.57, bluez 5.58 Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in the bluez, where Passkey Entry protocol used in Secure Simple Pairing (SSP), Secure Connections (SC) and LE Secure Connections (LESC) of the Bluetooth Core Specification is vulnerable to an impersonation attack where an active attacker can impersonate the initiating device without any previous knowledge.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-09 20:23:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1966413, 1966414, 1919285, 1919286, 1960000, 1960001, 1960003, 1964968, 1965051, 1965057, 1965058    
Bug Blocks: 1969593    

Description Dhananjay Arunesh 2021-01-21 08:03:05 UTC
A vulnerability was found in Linux Kernel, where Passkey Entry protocol used in Secure Simple Pairing (SSP), Secure Connections (SC) and LE Secure Connections (LESC) of the Bluetooth Core Specification is vulnerable to an impersonation attack where an active attacker can impersonate the initiating device without any previous knowledge.

Refer:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=6d19628f539fccf899298ff02ee4c73e4bf6df3f

Comment 6 Rohit Keshri 2021-05-12 19:00:00 UTC
Mitigation:

Devices should not accept their own public key from a peer during a pairing session. The pairing procedure should be terminated with a failure status if this occurs.

Comment 12 Rohit Keshri 2021-05-26 12:59:12 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1964968]

Comment 14 msiddiqu 2021-05-26 16:43:24 UTC
Created bluez tracking bugs for this issue:

Affects: fedora-all [bug 1965051]

Comment 20 errata-xmlrpc 2021-11-09 18:46:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4432 https://access.redhat.com/errata/RHSA-2021:4432

Comment 21 Product Security DevOps Team 2021-11-09 20:23:50 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-26558